API endpoint
https://dashlytics.xonven.com/api/v1/websites
Request example
curl --location --request GET 'https://dashlytics.xonven.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
domain for Domain. Defaults to: domain.
favorite
sort_by
id for Date created, domain for Domain. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://dashlytics.xonven.com/api/v1/websites/{id}
Request example
curl --location --request GET 'https://dashlytics.xonven.com/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://dashlytics.xonven.com/api/v1/websites
Request example
curl --location --request POST 'https://dashlytics.xonven.com/api/v1/websites' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'domain={domain}'
Parameters
domain
privacy
0 for Public, 1 for Private, 2 for Password.Defaults to: 1.
password
privacy field set to 2.
email
0 for Disabled, 1 for Enabled. Defaults to: 0.
exclude_bots
0 for Disabled, 1 for Enabled. Defaults to: 1.
exclude_params
exclude_ips
favorited_at
Y-m-dTH:i:s format.
API endpoint
https://dashlytics.xonven.com/api/v1/websites/{id}
Request example
curl --location --request PUT 'https://dashlytics.xonven.com/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
email
0 for Disabled, 1 for Enabled.
exclude_bots
0 for Disabled, 1 for Enabled.
exclude_params
exclude_ips
favorited_at
Y-m-dTH:i:s format.
API endpoint
https://dashlytics.xonven.com/api/v1/websites/{id}
Request example
curl --location --request DELETE 'https://dashlytics.xonven.com/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'